Subject: [core-updates] fftw 3.3.8 test suite can hang

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 07 Feb 2020 14:08:14 -0500

I encountered a single occurrence of this while building core-updates
(2073b55e6b964cb8ca15e8c74cb32dac00f05f0d).  I couldn't reproduce the
hang a 2nd time, but in case it'd occur to someone else, I'm reporting
the problem here.

The build appears to be hung, peeking a single CPU core with no output.

The last output printed is:

--8<---------------cut here---------------start------------->8---
Executing "/tmp/guix-build-fftw-3.3.8.drv-0/fftw-3.3.8/tests/bench -o nthreads=2 --verbose=1   --verify 'ofr39v157' --verify 'ifr39v157' --verify '//obc39v157' --verify '//ibc39v157' --verify '//ofc39v157' --verify '//ifc39v157' --verify 'obc39v157' --verify 'ibc39v157' --verify 'ofc39v157' --verify 'ifc39v157' --verify 'ok7e00x27o11v28' --verify 'ik7e00x27o11v28' --verify '//obr23232' --verify '//ibr23232' --verify '//ofr23232' --verify '//ifr23232' --verify 'obr23232' --verify 'ibr23232' --verify 'ofr23232' --verify 'ifr23232' --verify '//obc23232' --verify '//ibc23232' --verify '//ofc23232' --verify '//ifc23232' --verify 'obc23232' --verify 'ibc23232' --verify 'ofc23232' --verify 'ifc23232' --verify 'ok11e11x6bv16' --verify 'ik11e11x6bv16' --verify 'obr3x6v25' --verify 'ibr3x6v25' --verify 'ofr3x6v25' --verify 'ifr3x6v25' --verify '//obc3x6v25' --verify '//ibc3x6v25' --verify '//ofc3x6v25' --verify '//ifc3x6v25' --verify 'obc3x6v25' --verify 'ibc3x6v25' --verify 'ofc3x6v25' --verify 'ifc3x6v25' --verify 'ok10bx8e10x7bx5o01*8' --verify 'ik10bx8e10x7bx5o01*8'"
ofr39v157 3.88346e-16 2.86256e-16 7.57002e-16
ifr39v157 3.47982e-16 2.86256e-16 7.02064e-16
//obc39v157 3.94083e-16 5.72513e-16 8.78504e-16
//ibc39v157 4.03859e-16 4.29385e-16 9.40757e-16
//ofc39v157 4.42394e-16 4.29385e-16 8.87713e-16
//ifc39v157 4.12348e-16 4.29385e-16 8.5851e-16
obc39v157 4.0602e-16 4.29385e-16 8.48734e-16
ibc39v157 3.73274e-16 4.29385e-16 8.9751e-16
ofc39v157 3.97926e-16 4.29385e-16 8.07659e-16
ifc39v157 4.07119e-16 4.29385e-16 7.61853e-16
ok7e00x27o11v28 3.41262e-16 4.83151e-15 3.96424e-16
ik7e00x27o11v28 3.94159e-16 4.37137e-15 3.94158e-16
--8<---------------cut here---------------end--------------->8---

The 'bench' program is the one responsible for such a long execution/hang.

The build of fftw had been ongoing for about 500 CPU minutes.  It may be
related to the tests using more than one thread (some deadlock perhaps).

Maxim